# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    synfig
%define version 0.61.03
%define release 1.2006mcnl
%define summary 2D Vector Animation program

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://www.synfig.com
License:        GPL
Group:          Graphics
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libsigc++2.0_0-devel >= 2.0 libxml++2.6_2-devel >= 2.0 ETL-devel >= 0.04.07 libpng-devel libjpeg-devel libfreetype6-devel  libffmpeg-devel ImageMagick libfmod
Requires:	%{libname} = %{version}-%{release}

%description

Synfig is a powerful, industrial-strength vector-based 2D animation 
software package, designed from the ground-up for producing feature-film 
quality animation with fewer people and resources. While there are many 
other programs currently on the market to aid with the efficient production 
of 2D animation, we are currently unaware of any other software that can 
do what our software can.


%package -n %{libname}
Summary:	synfig main library
Group:		System/Libraries
License:	GPL
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Library of synfig.

%package -n %{libnamedev}
Summary:    synfig libraries devel
Group:      System/Libraries
License:	GPL
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}

%description -n %{libnamedev}
These're the files needed to develop applications that use synfig libraries.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%configure

%make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING NEWS TODO ChangeLog
%{_bindir}/synfig

%files -n %{libname}
%defattr(-,root,root,0755) 
%doc README COPYING NEWS TODO ChangeLog
%{_sysconfdir}/synfig_modules.cfg
%{_libdir}/synfig/modules/*.so.*
%{_libdir}/libsynfig.so.*


%files -n %{libnamedev}
%defattr(-,root,root,0755) 
%doc README COPYING NEWS TODO ChangeLog

%{_bindir}/synfig-config
%{_libdir}/pkgconfig/synfig.pc

%{_libdir}/libsynfig.so
%{_libdir}/libsynfig.la

%{_libdir}/synfig/modules/*.so
%{_libdir}/synfig/modules/*.la

%{_includedir}/synfig-*


%changelog 

* Sun Dec 11 2005 Marco Meijer <marco@mandrivaclub.nl>  0.61.03-1.2006mcnl
- first Mandrivaclub.nl build



